CVE-2016-3092

Priority
Description
The MultipartStream class in Apache Commons Fileupload before 1.3.2, as
used in Apache Tomcat 7.x before 7.0.70, 8.x before 8.0.36, 8.5.x before
8.5.3, and 9.x before 9.0.0.M7 and other products, allows remote attackers
to cause a denial of service (CPU consumption) via a long boundary string.
Package
Upstream:released (1.3.2-1)
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was needed)
Ubuntu 14.04 ESM (Trusty Tahr):DNE (trusty was needed)
Ubuntu 16.04 LTS (Xenial Xerus):released (1.3.1-2ubuntu0.1)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (1.3.2-1)
Ubuntu 19.04 (Disco Dingo):not-affected (1.3.2-1)
Ubuntu 19.10 (Eoan):not-affected (1.3.2-1)
Patches:
Other:https://svn.apache.org/viewvc/commons/proper/fileupload/trunk/src/main/java/org/apache/commons/fileupload/MultipartStream.java?r1=1743480&r2=1743479&pathrev=1743480
Package
Upstream:needed
Ubuntu 12.04 ESM (Precise Pangolin):released (6.0.35-1ubuntu3.7)
Ubuntu 14.04 ESM (Trusty Tahr):needed
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 19.04 (Disco Dingo):DNE
Ubuntu 19.10 (Eoan):DNE
Patches:
Other:https://svn.apache.org/viewvc/commons/proper/fileupload/trunk/src/main/java/org/apache/commons/fileupload/MultipartStream.java?r1=1743480&r2=1743479&pathrev=1743480
Package
Upstream:released (7.0.70-1)
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was needed)
Ubuntu 14.04 ESM (Trusty Tahr):released (7.0.52-1ubuntu0.6)
Ubuntu 16.04 LTS (Xenial Xerus):released (7.0.68-1ubuntu0.1)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (7.0.70-1)
Ubuntu 19.04 (Disco Dingo):DNE
Ubuntu 19.10 (Eoan):DNE
Patches:
Other:https://svn.apache.org/viewvc/commons/proper/fileupload/trunk/src/main/java/org/apache/commons/fileupload/MultipartStream.java?r1=1743480&r2=1743479&pathrev=1743480
Package
Upstream:released (8.0.36-1)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):released (8.0.32-1ubuntu1.1)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (8.0.36-1)
Ubuntu 19.04 (Disco Dingo):DNE
Ubuntu 19.10 (Eoan):DNE
Patches:
Other:https://svn.apache.org/viewvc/commons/proper/fileupload/trunk/src/main/java/org/apache/commons/fileupload/MultipartStream.java?r1=1743480&r2=1743479&pathrev=1743480
Package
Upstream:released (9.0.0M8)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (9.0.16-3~18.04.1)
Ubuntu 19.04 (Disco Dingo):not-affected (9.0.16-3)
Ubuntu 19.10 (Eoan):not-affected (9.0.16-3)
Patches:
Other:https://svn.apache.org/viewvc/commons/proper/fileupload/trunk/src/main/java/org/apache/commons/fileupload/MultipartStream.java?r1=1743480&r2=1743479&pathrev=1743480
More Information

Updated: 2019-08-23 07:27:29 UTC (commit 436fd4ed4cf0038ddd382cb8649607ace163dda7)